package dev.fitko.fitconnect.api.domain.sender.steps.reply;

import dev.fitko.fitconnect.api.domain.model.attachment.Attachment;
import dev.fitko.fitconnect.api.domain.sender.SendableReply;

import java.util.List;

public interface OptionalReplyPropertiesStep {

    /**
     * Sends the submission with a list of attachments
     *
     * @param attachments that are sent with the submission
     * @return the next step where additional data can be added to the submission
     */
    OptionalReplyPropertiesStep addAttachments(List<Attachment> attachments);

    /**
     * Sends the submission with an attachments
     *
     * @param attachment that is sent with the submission
     * @return the next step where additional data can be added to the submission
     */
    OptionalReplyPropertiesStep addAttachment(Attachment attachment);

    /**
     * Constructs a new sendable submission from the data that is set.
     *
     * @return SendableSubmission
     */
    SendableReply build();
}
